package com.ekexiu.project.storage.diacrisis;

import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.IncludeFixSet;
import org.jfw.apt.orm.annotation.dao.method.Or;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.SetSentence;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.apt.orm.annotation.dao.param.Set;
import org.jfw.util.PageQueryResult;

@DAO
public interface AiTaskDao {

	
	
	@Insert
	int insert(Connection con,AiTask task)throws SQLException;
	
	@IncludeFixSet
	@UpdateWith
	@SetSentence("STATE_CODE = NULL")
	@From(AiTask.class)
	int update(Connection con,String id,@Set int state) throws SQLException;
	
	@UpdateWith
	@From(AiTask.class)
	@IncludeFixSet
	int update(Connection con,String id,@Set int state,@Set String stateCode) throws SQLException;
	
	@PageSelect
	@OrderBy("ORDER BY CREATE_TIME DESC,ID DESC")
	PageQueryResult<AiTask> pageQuery(Connection con,String uid,@Nullable String dataNum,@Nullable Integer taskType,int pageSize,int pageNo)throws SQLException;
	
	@SelectOne
	@Nullable
	AiTask query(Connection con,String id)throws SQLException;
	
}
